Package com.xmlmind.util

## Enum LoadText.Encoding

- java.lang.Object
- - java.lang.Enum<LoadText.Encoding>
  - - com.xmlmind.util.LoadText.Encoding

- All Implemented Interfaces:
    `Serializable`, `Comparable<LoadText.Encoding>`
  Enclosing class:
    LoadText

      public static enum LoadText.Encoding
      extends Enum<LoadText.Encoding>

  Encoding returned by `LoadText.guessEncoding(byte[], int, int)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASCII_COMPATIBLE` |
    `EBCDIC` |
    `UCS4_2143` |
    `UCS4_2143_BOM` |
    `UCS4_3412` |
    `UCS4_3412_BOM` |
    `UCS4_BE` |
    `UCS4_BE_BOM` |
    `UCS4_LE` |
    `UCS4_LE_BOM` |
    `UNKNOWN` |
    `UTF16_BE` |
    `UTF16_BE_BOM` |
    `UTF16_LE` |
    `UTF16_LE_BOM` |
    `UTF8_BOM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LoadText.Encoding` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LoadText.Encoding[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UCS4_BE_BOM

          public static final LoadText.Encoding UCS4_BE_BOM

    - #### UCS4_LE_BOM

          public static final LoadText.Encoding UCS4_LE_BOM

    - #### UCS4_2143_BOM

          public static final LoadText.Encoding UCS4_2143_BOM

    - #### UCS4_3412_BOM

          public static final LoadText.Encoding UCS4_3412_BOM

    - #### UTF16_BE_BOM

          public static final LoadText.Encoding UTF16_BE_BOM

    - #### UTF16_LE_BOM

          public static final LoadText.Encoding UTF16_LE_BOM

    - #### UTF8_BOM

          public static final LoadText.Encoding UTF8_BOM

    - #### UCS4_BE

          public static final LoadText.Encoding UCS4_BE

    - #### UCS4_LE

          public static final LoadText.Encoding UCS4_LE

    - #### UCS4_2143

          public static final LoadText.Encoding UCS4_2143

    - #### UCS4_3412

          public static final LoadText.Encoding UCS4_3412

    - #### UTF16_BE

          public static final LoadText.Encoding UTF16_BE

    - #### UTF16_LE

          public static final LoadText.Encoding UTF16_LE

    - #### ASCII_COMPATIBLE

          public static final LoadText.Encoding ASCII_COMPATIBLE

    - #### EBCDIC

          public static final LoadText.Encoding EBCDIC

    - #### UNKNOWN

          public static final LoadText.Encoding UNKNOWN

  - ### Method Detail

    - #### values

          public static LoadText.Encoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoadText.Encoding c : LoadText.Encoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoadText.Encoding valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null